[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: stable to testing: aptitude wants strange things

apt-get turns out to be mostly the same.  I started using aptitude
since I thought it was supposed to replace apt-get when sarge went
stable.  Now both apt-get and aptitude want to remove aptitude.  It's
a hint I think. Thanks everyone for the advice.

# apt-get -s dist-upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
Calculating Upgrade... Done
The following packages will be REMOVED:
 acroread aptitude firestarter gksu gnome-keyring libbonoboui2-0
libgksuui1.0-0 libglade2-0 libgnome-keyring0
 libgnomecanvas2-0 libgnomeui-0 libgtk2.0-0 libgtk2.0-bin
libgtk2.0-common libnewt0.51 libnfsidmap1 libpango1.0-0
 libpango1.0-common libreadline4 mozilla-acroread mozilla-firefox
mozilla-firefox-locale-ja mozilla-firefox-locale-zh-cn
 mozilla-firefox-locale-zh-tw mozilla-mplayer mplayer mplayer-fonts
python2.3 tasksel tetex-bin xemacs21 xemacs21-bin
 xemacs21-mule xemacs21-support
The following NEW packages will be installed:
 ca-certificates cpp-4.1 dmidecode gcc-4.1 gcc-4.1-base gconf2-common
laptop-detect libaa1 libavahi-client3
 libavahi-common-data libavahi-common3 libavahi-glib1 libavcodec0d
libcdk5 libdb4.4 libdbus-1-3 libdbus-glib-1-2
 libdevmapper1.02 libdirectfb-0.9-25 libdvdnav4 libedit2 libexif12
libgnutls13 libgssapi2 libgtop2-common libhal-storage1
 libhal1 libjack0.100.0-0 libmpcdec3 libnewt0.52 libnfsidmap2
libopenal0a libpci2 librpcsecgss3 libselinux1 libsepol1
 libslang2 libspeex1 libssl0.9.8 libssp0 libstartup-notification0
libsysfs2 libtasn1-3 linux-sound-base lsb-base mktemp
 modconf openssl python-central python-minimal python-support
python2.4 python2.4-minimal readline-common tex-common
 tzdata wodim
The following packages have been kept back:
 apt apt-spy apt-utils dselect dvd+rw-tools fontconfig freeglut3
gdk-imlib1 groff-base html2text imagemagick jigdo-file
 kweather libapt-pkg-perl libaspell15 libcurl3 libfam0c102
libfontconfig1 libggi2 libmp4-0 libsvn0 libxcursor1 libxft2
 menu nfs-common nget p7zip par2 qiv render-dev ssh subversion telnet
ttmkfdir w3m x264-bin xchm xfonts-intl-asian
 xfonts-intl-chinese xfonts-intl-chinese-big xfonts-intl-japanese
xfonts-intl-japanese-big xmms xprint xprint-common
The following packages will be upgraded:
 adduser alsa-base alsa-oss alsa-utils apcalc apcalc-common apt-file
at base-files base-passwd bash bc biew bin86
 binutils bison bittornado bsdmainutils bzip2 cdrecord cfv
configure-debian console-common console-data console-tools
 coreutils cpp cpp-3.3 cron cvs dash db4.2-util dc debconf
debconf-i18n debconf-utils debhelper debianutils defoma
 desktop-file-utils dictionaries-common discover1 discover1-data
doc-debian doc-linux-text dpkg dpkg-dev e2fslibs
 e2fsprogs eject elinks emacsen-common enscript esound-common exim4
exim4-base exim4-config exim4-daemon-light fakeroot
 fdutils file findutils finger ftp gawk gcc gcc-3.3 gcc-3.3-base
gconf2 gdb gettext gettext-base gnome-mime-data gnu-efi
 gphoto2 grep grub gs gs-common gs-gpl gv hdparm hicolor-icon-theme
hostname hotplug iamerican ibritish ifupdown
 imlib-base info initrd-tools initscripts intltool-debian ipcheck
iptables iputils-ping ispell java-package klogd lame
 less lftp liba52-0.7.4 libacl1 libartsc0 libasound2 libatk1.0-0
libattr1 libaudio2 libavc1394-0 libavcodeccvs51
 libavutilcvs49 libblkid1 libbonobo2-0 libbonobo2-common
libbonoboui2-common libbz2-1.0 libc6 libc6-dev libcdparanoia0
 libcomerr2 libcompfaceg1 libconfigfile-perl libconsole libdb1-compat
libdb3 libdb4.2 libdb4.3 libdiscover1 libdv4
 libdvdread3 libesd0 libevent1 libexpat1 libfaac0 libfaad2-0
libfame-0.9 libfribidi0 libgcc1 libgconf2-4 libgcrypt11
 libgdbm3 libgksu1.2-0 libglib1.2 libglib2.0-0 libgnome2-0
libgnome2-common libgnomecanvas2-common libgnomeui-common
 libgnomevfs2-0 libgnomevfs2-common libgpg-error0 libgphoto2-2
libgphoto2-port0 libgpmg1 libgtk1.2 libgtk1.2-common
 libidl0 libidn11 libimlib2 libjpeg62 libjpeg62-dev liblame0 liblcms1
libldap2 liblircclient0 liblocale-gettext-perl
 liblockfile1 liblogfile-rotate-perl libltdl3 liblua50 liblualib50
liblzo1 libmad0 libmagic1 libmng1 libmpeg2-4
 libncurses5 libncursesw5 libnss-db libogg0 libopencdk8 liborbit2
libpam-modules libpam-runtime libpam0g libpaper1
 libperl5.8 libpng12-0 libpng12-dev libpopt0 libpostproccvs51 libpvm3
libquicktime0 libreadline5 libsasl2 libsdl1.2debian
 libsdl1.2debian-oss libss2 libstdc++5 libsvga1 libt1-5
libtext-charwidth-perl libtext-iconv-perl libtext-wrapi18n-perl
 libtextwrap1 libtheora0 libusb-0.1-4 libuuid1 libvorbis0a
libvorbisenc2 libvorbisfile3 libwrap0 libwww0 libx264-dev
 libxml2 libxrender1 libxslt1.1 linux-kernel-headers login logrotate
lpr lsof m4 mailx make makedev man-db manpages
 manpages-dev mdetect menu-xdg mime-support mkisofs module-init-tools
modutils mpack mplayer-doc mtools mtr-tiny nano
 ncurses-base ncurses-bin ncurses-term net-tools netbase netkit-inetd
netselect netselect-apt ntpdate nvi passwd patch
 pciutils perl perl-base perl-modules perl-tk pidentd po-debconf
portmap poster pppconfig pppoe pppoeconf privoxy
 procmail procps psfontmgr psmisc psutils python python-newt rcs
read-edid reportbug sed shared-mime-info sharutils
 slocate sox strace sysklogd sysv-rc sysvinit tar tcpd tcsh
tetex-base tetex-doc texi2html texinfo toolame traceroute
 ttf-arphic-bkai00mp ttf-arphic-bsmi00lp ttf-arphic-gbsn00lp
ttf-arphic-gkai00mp ttf-bitstream-vera ttf-kochi-gothic
 ttf-kochi-mincho ucf unzip usbutils wamerican wget whiptail whois
x-ttcidfont-conf xaw3dg xemacs21-basesupport
 xemacs21-mulesupport zip
313 upgraded, 57 newly installed, 34 to remove and 45 not upgraded.


Reply to: